opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
CvStatModel Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvStatModel:

## Public Member Functions

virtual void | clear ()
| CvStatModel ()
virtual CV_WRAP void | load (const char *filename, const char *name=0)
virtual void | read (CvFileStorage *storage, CvFileNode *node)
virtual CV_WRAP void | save (const char *filename, const char *name=0) const
virtual void | write (CvFileStorage *storage, const char *name) const
virtual | ~CvStatModel ()

## Protected Attributes

const char * | default_model_name

## Constructor & Destructor Documentation

CvStatModel::CvStatModel | ( |  | ) |

virtual CvStatModel::~CvStatModel | ( |  | ) |

virtual

## Member Function Documentation

virtual void CvStatModel::clear | ( |  | ) |

virtual

Reimplemented in CvANN_MLP, CvGBTrees, CvBoost, CvBoostTree, CvRTrees, CvDTree, CvEM, CvSVM, CvKNearest, and CvNormalBayesClassifier.

virtual CV_WRAP void CvStatModel::load | ( | const char * | filename,
|  | const char * | name = `0`
| ) |  |

virtual

virtual void CvStatModel::read | ( | CvFileStorage * | storage,
|  | CvFileNode * | node
| ) |  |

virtual

Reimplemented in CvANN_MLP, CvGBTrees, CvBoost, CvBoostTree, CvRTrees, CvForestTree, CvDTree, CvSVM, and CvNormalBayesClassifier.

virtual CV_WRAP void CvStatModel::save | ( | const char * | filename,
|  | const char * | name = `0`
| ) |  | const

virtual

virtual void CvStatModel::write | ( | CvFileStorage * | storage,
|  | const char * | name
| ) |  | const

virtual

Reimplemented in CvANN_MLP, CvGBTrees, CvBoost, CvRTrees, CvDTree, CvSVM, and CvNormalBayesClassifier.

## Member Data Documentation

const char* CvStatModel::default_model_name

protected

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp